﻿using System;

namespace ELTE.Basics.NumberTypes
{
    /// <summary>
    /// Valós kompatibis szám típusa
    /// </summary>
    abstract class RealCompatible
    {
        /// <summary>
        /// Konvertálás valós számmá
        /// </summary>
        /// <returns>A szám megfelelője valósban</returns>
        public abstract Double ToDouble();
        /// <summary>
        /// Kornvertálás valós számból
        /// </summary>
        /// <param name="val">Valós szám</param>
        public abstract void FromDouble(Double val);
    }
}
